<?php
/**
 * Ant0ha's project
 *
 * @package
 * @author Anton Pisarenko <wapwork@bk.ru>
 * @copyright Copyright (c) 2006 - 2010, Anton Pisarenko
 * @license http://ant0ha.ru/license.txt
 * @link http://ant0ha.ru
 */

defined('IN_SYSTEM') or die('<b>403<br />Запрет доступа!</b>');

//---------------------------------------------

/**
 * Виджет гостевой книги
 */
class lib_widget {
	/**
	* Показ виджета
	*/
	public static function display($widget_id) {
  		$db =& $GLOBALS['db'];
  		$stat = $db->get_row("SELECT
  			(SELECT COUNT(*) FROM #__lib_books) AS all_books,
  			(SELECT COUNT(*) FROM #__lib_books WHERE time > UNIX_TIMESTAMP() - 3600 * 24) new_books
  		");
		return '<img src="'. URL .'views/'. THEME .'/img/icon.png" alt="" /> <a href="'. a_url('lib') .'">Библиотека</a> <span class="small_text">['. $stat['all_books'] .']</span>'. ($stat['new_books'] > 0 ? ' <span style="font-size: 11px; color: red;">+'. $stat['new_books'] .'</span>' : '') .'<br />';
	}

	/**
	* Настройка виджета
	*/
	public static function setup($widget) {
		a_notice('Данный виджет не требует настройки', a_url('index_page/admin'));
	}
}
?>